@import "variables/colors";
@import "variables/font";

.setting-item {
  display: grid;
  grid-template-columns: 1fr 2fr;
  gap: 5rem;
  padding: 0 0.7rem;

  &.template-default {
    .col-left {
      .title {
        color: $neutral-80;
        font-family: $poppins-medium;
        font-size: 18px;
        line-height: 32px;
        &:first-letter {
          text-transform: uppercase;
        }
      }

      .description {
        color: $neutral-50;
        font-family: $roboto-regular;
        font-size: 14px;
        line-height: 22px;
      }
    }
  }

  &.template-alternative {
    background-color: $neutral-10;
    border-radius: 10px;
    padding: 1rem;
    .col-left {
      display: flex;
      flex-direction: column;
      justify-content: center;
    }
  }

  &.template-primary {
    background-color: $caribbean-green-60;
    padding: 1rem 1.7rem;
    .col-left {
      .title {
        font-family: $poppins-semibold;
        font-size: 20px;
      }
      .description {
        font-size: 12px;
        line-height: 16px;
      }

      .title,
      .description {
        color: $neutral;
      }
    }
  }

  &.template-alternative-dark {
    background-color: $neutral-30;
    padding: 1rem 1.7rem;
    .col-left {
      .title {
        font-family: $poppins-semibold;
        font-size: 18px;
        margin-bottom: 5px;
      }
      .description {
        font-size: 12px;
        line-height: 16px;
      }
    }
  }

  &.template-disabled {
    @extend .template-default;
    opacity: 0.5;
  }
}
